package com.rjconsultores.ventaboletos.utilerias.exportacao.bpe;

import java.math.BigDecimal;

public class ExportacaoBPETipoBPE {

	private String estabelecimento;
	private String chaveEletronica;
	private String serie;
	private String numero;
	private String dataEmissao;
	private String situacaoDoc;
	private String dataPrestacao;
	private BigDecimal valorBruto;
	private BigDecimal valorDesconto;
	private String UFOrigem;
	private String municipioOrigem;
	private String UFDestino;
	private String municipioDestino;
	private String cstCofins;
	private BigDecimal receitaTriCofins;
	private String cstPis;
	private BigDecimal receitaTributavelPis;
	private String tipoBPe;
	private String chaveEletronicaReferencia;
	private String codigoContabil;
	private String indContribuicaoPrevidenciaria;
	private String tpDesconto;

	public ExportacaoBPETipoBPE() {
	}

	public ExportacaoBPETipoBPE(String estabelecimento, String chaveEletronica, String serie, String numero, String dataEmissao, String situacaoDoc, String dataPrestacao, BigDecimal valorBruto, BigDecimal valorDesconto, String uFOrigem, String municipioOrigem, String uFDestino, String municipioDestino, String cstCofins, BigDecimal receitaTriCofins, String tipoBPe, String chaveEletronicaReferencia, String codigoContabil, String indContribuicaoPrevidenciaria, String tpDesconto, String cstPis) {
		super();
		this.estabelecimento = estabelecimento;
		this.chaveEletronica = chaveEletronica;
		this.serie = serie;
		this.numero = numero;
		this.dataEmissao = dataEmissao;
		this.situacaoDoc = situacaoDoc;
		this.dataPrestacao = dataPrestacao;
		this.valorBruto = valorBruto;
		this.valorDesconto = valorDesconto;
		this.UFOrigem = uFOrigem;
		this.municipioOrigem = municipioOrigem;
		this.UFDestino = uFDestino;
		this.municipioDestino = municipioDestino;
		this.cstCofins = cstCofins;
		this.receitaTriCofins = receitaTriCofins;
		this.tipoBPe = tipoBPe;
		this.chaveEletronicaReferencia = chaveEletronicaReferencia;
		this.codigoContabil = codigoContabil;
		this.indContribuicaoPrevidenciaria = indContribuicaoPrevidenciaria;
		this.tpDesconto = tpDesconto;
		this.cstPis = cstPis;
	}

	public String getEstabelecimento() {
		return estabelecimento;
	}

	public void setEstabelecimento(String estabelecimento) {
		this.estabelecimento = estabelecimento;
	}

	public String getChaveEletronica() {
		return chaveEletronica;
	}

	public void setChaveEletronica(String chaveEletronica) {
		this.chaveEletronica = chaveEletronica;
	}

	public String getSerie() {
		return serie;
	}

	public void setSerie(String serie) {
		this.serie = serie;
	}

	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public String getSituacaoDoc() {
		return situacaoDoc;
	}

	public void setSituacaoDoc(String situacaoDoc) {
		this.situacaoDoc = situacaoDoc;
	}

	public String getDataPrestacao() {
		return dataPrestacao;
	}

	public void setDataPrestacao(String dataPrestacao) {
		this.dataPrestacao = dataPrestacao;
	}

	public BigDecimal getValorBruto() {
		return valorBruto;
	}

	public void setValorBruto(BigDecimal valorBruto) {
		this.valorBruto = valorBruto;
	}

	public BigDecimal getValorDesconto() {
		return valorDesconto;
	}

	public void setValorDesconto(BigDecimal valorDesconto) {
		this.valorDesconto = valorDesconto;
	}

	public String getUFOrigem() {
		return UFOrigem;
	}

	public void setUFOrigem(String uFOrigem) {
		this.UFOrigem = uFOrigem;
	}

	public String getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(String municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public String getUFDestino() {
		return UFDestino;
	}

	public void setUFDestino(String uFDestino) {
		this.UFDestino = uFDestino;
	}

	public String getMunicipioDestino() {
		return municipioDestino;
	}

	public void setMunicipioDestino(String municipioDestino) {
		this.municipioDestino = municipioDestino;
	}

	public String getCstCofins() {
		return cstCofins;
	}

	public void setCstCofins(String cstCofins) {
		this.cstCofins = cstCofins;
	}

	public BigDecimal getReceitaTriCofins() {
		return receitaTriCofins;
	}

	public void setReceitaTriCofins(BigDecimal receitaTriCofins) {
		this.receitaTriCofins = receitaTriCofins;
	}

	public String getCstPis() {
		return cstPis;
	}

	public void setCstPis(String cstPis) {
		this.cstPis = cstPis;
	}

	public BigDecimal getReceitaTributavelPis() {
		return receitaTributavelPis;
	}

	public void setReceitaTributavelPis(BigDecimal receitaTributavelPis) {
		this.receitaTributavelPis = receitaTributavelPis;
	}

	public String getTipoBPe() {
		return tipoBPe;
	}

	public void setTipoBPe(String tipoBPe) {
		this.tipoBPe = tipoBPe;
	}

	public String getChaveEletronicaReferencia() {
		return chaveEletronicaReferencia;
	}

	public void setChaveEletronicaReferencia(String chaveEletronicaReferencia) {
		this.chaveEletronicaReferencia = chaveEletronicaReferencia;
	}

	public String getCodigoContabil() {
		return codigoContabil;
	}

	public void setCodigoContabil(String codigoContabil) {
		this.codigoContabil = codigoContabil;
	}

	public String getIndContribuicaoPrevidenciaria() {
		return indContribuicaoPrevidenciaria;
	}

	public void setIndContribuicaoPrevidenciaria(String indContribuicaoPrevidenciaria) {
		this.indContribuicaoPrevidenciaria = indContribuicaoPrevidenciaria;
	}

	public String getTpDesconto() {
		return tpDesconto;
	}

	public void setTpDesconto(String tpDesconto) {
		this.tpDesconto = tpDesconto;
	}

}
